INTERFACE
SUBROUTINE NEW_THINNER_NO_SQ(KLEN,KBOXNO,CD_MODE,&
 & KOBSTYPE_RQ,KCDTYPE_RQ,KSENSOR_RQ,KVNM_RQ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
USE YOMOBS
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KBOXNO
CHARACTER(LEN=*) ,INTENT(IN) :: CD_MODE
INTEGER(KIND=JPIM),INTENT(IN) :: KOBSTYPE_RQ
INTEGER(KIND=JPIM),INTENT(IN) :: KCDTYPE_RQ
INTEGER(KIND=JPIM),INTENT(IN) :: KSENSOR_RQ
INTEGER(KIND=JPIM),INTENT(IN) :: KVNM_RQ
INTEGER(KIND=JPIM), PARAMETER :: icolumns=4,ijo=1,ibx=2,itm=3,irn=4
INTEGER(KIND=JPIM), PARAMETER :: I_MKEY(icolumns-1)=(/ibx,itm,irn/)
INTEGER(KIND=JPIM), PARAMETER :: icolumns0=7,ipo=1,idt0=2,itm0=3,ilt=4,iln=5,icom=6,irn0=7
END SUBROUTINE NEW_THINNER_NO_SQ
END INTERFACE
